Skip to main content
GET
/
api
/
v2
/
external
/
inference
/
list
List Dedicated Deployments
curl --request GET \
  --url https://api.lyceum.technology/api/v2/external/inference/list \
  --header 'Authorization: Bearer <token>'
{
  "deployments": [
    {
      "deployment_id": "<string>",
      "hf_model_id": "<string>",
      "hardware_profile": "<string>",
      "min_replicas": 123,
      "max_replicas": 123,
      "current_replicas": 123,
      "status": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "desired_replicas": 123,
      "target_rps": 123,
      "target_latency_p95_ms": 123,
      "stabilisation_window": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Headers

authorization
string | null

Query Parameters

include_terminated
boolean
default:false
user_id
string | null

Response

Successful Response

Response body for GET /api/v2/external/inference/list.

deployments
DeployListItem · object[]
required